# Class CIM_AvailableDiagnosticService
extends CIM_ServiceAvailableToElement

This is an association class that relates a DiagnosticService to a ManagedElement. Consumers wishing to 'diagnose' a particular Element could query this association to determine what services are available.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ServiceAvailableToElement
|
+--CIM_AvailableDiagnosticService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This is an association class that relates a DiagnosticService to a ManagedElement. Consumers wishing to 'diagnose' a particular Element could query this association to determine what services are available.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.9.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
EstimatedDurationOfService | uint16 |

Description

string

Estimated magnitude of time to perform the referenced DiagnosticService on the referenced ManagedElement. Since the processing speed of a system can vary immensely due to a variety of factors (e.g., processor speed), this property takes on values that are a statement of magnitude, not absolute time. If greater accuracy can be provided, a quantification may be specified in the corresponding integer property, EstimatedDurationQualifier. Since execution times could vary by Element, this property is located in the association between the two entities.

ModelCorrespondence | string | CIM_AvailableDiagnosticService.EstimatedDurationQualifier
ValueMap | string | 0, 2, 3, 4, 5, 6
Values | string | Unknown, Milliseconds, Seconds, Minutes, Hours, Days
EstimatedDurationQualifier | uint32 |
Description | string | EstimatedDurationQualifier can be used to further quantify the magnitude of time to perform the service.
ModelCorrespondence | string | CIM_AvailableDiagnosticService.EstimatedDurationOfService

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
ServiceProvided | CIM_AvailableDiagnosticService | CIM_DiagnosticService

### Propagated Association References

Name | Class Origin | Reference Class
--- | --- | ---

## Class Methods